Login


 
Newsletter
Werbung

Sicherheit: Ausführen beliebiger Kommandos in bsh2
Aktuelle Meldungen Distributionen
Name: Ausführen beliebiger Kommandos in bsh2
ID: SUSE-SU-2016:0700-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Software Development Kit 12, SUSE Linux Enterprise Software Development Kit 12-SP1
Datum: Mi, 9. März 2016, 12:33
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-2510

Originalnachricht

   SUSE Security Update: Security update for bsh2
______________________________________________________________________________

Announcement ID: SUSE-SU-2016:0700-1
Rating: important
References: #967593
Cross-References: CVE-2016-2510
Affected Products:
SUSE Linux Enterprise Software Development Kit 12-SP1
SUSE Linux Enterprise Software Development Kit 12
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


This update for bsh2 fixes the following issues:

- CVE-2016-2510: An application that includes BeanShell on the classpath
may be vulnerable if another part of the application uses Java
serialization or XStream to deserialize data from an untrusted source.

Please see https://github.com/beanshell/beanshell/releases/tag/2.0b6 for
more information.


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 12-SP1:

zypper in -t patch SUSE-SLE-SDK-12-SP1-2016-399=1

- SUSE Linux Enterprise Software Development Kit 12:

zypper in -t patch SUSE-SLE-SDK-12-2016-399=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 12-SP1 (noarch):

bsh2-2.0.0.b5-3.2
bsh2-classgen-2.0.0.b5-3.2
bsh2-javadoc-2.0.0.b5-3.2

- SUSE Linux Enterprise Software Development Kit 12 (noarch):

bsh2-2.0.0.b5-3.2
bsh2-classgen-2.0.0.b5-3.2
bsh2-javadoc-2.0.0.b5-3.2


References:

https://www.suse.com/security/cve/CVE-2016-2510.html
https://bugzilla.suse.com/967593

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung